Unable to Install gdal library through Dockerfile

I’ve been searching to fix this dependency gdal library, Dockerfile run fine till it reaches this line

RUN apt-get install libgdal-dev && export CPLUS_INCLUDE_PATH=/usr/include/gdal && export C_INCLUDE_PATH=/usr/include/gdal && pip install GDAL

giving this error on-hand

Reading state information...
E: Unable to locate package libgdal-dev
The command '/bin/sh -c apt-get install libgdal-dev && export CPLUS_INCLUDE_PATH=/usr/include/gdal && export C_INCLUDE_PATH=/usr/include/gdal && pip install GDAL' returned a non-zero code: 100

if I try to install gdal directly with pip

pip install GDAL

I get this error:

File "/tmp/pip-install-qqslonvy/GDAL/setup.py", line 154, in fetch_config
        raise gdal_config_error(e)
    __main__.gdal_config_error: [Errno 2] No such file or directory: 'gdal-config': 'gdal-config'
    ----------------------------------------
ERROR: Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-install-qqslonvy/GDAL/

how to fix it really? my project needs it..

Source: StackOverflow